# ActuaryUtilities

[![Stable](https://img.shields.io/badge/docs-stable-blue.svg)](https://JuliaActuary.github.io/ActuaryUtilities.jl/stable/) 
[![Dev](https://img.shields.io/badge/docs-dev-blue.svg)](https://JuliaActuary.github.io/ActuaryUtilities.jl/dev/)
[![Build Status](https://travis-ci.com/JuliaActuary/ActuaryUtilities.jl.svg?branch=master)](https://travis-ci.com/JuliaActuary/ActuaryUtilities.jl)
[![Codecov](https://codecov.io/gh/JuliaActuary/ActuaryUtilities.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaActuary/ActuaryUtilities.jl)


A collection of common functions/manipulations used in Actuarial Calculations.

Some of the functions included:

- `duration` to calculate the duration given an issue date and date
- `present_value` or `pv` to calculate the present value of a set of cashflows
- `internal_rate_of_return` or `irr` to calculate the IRR given cashflows (including at timepoints like Excel's `XIRR`)
- `breakeven` to calculate the breakeven time for a set of cashflows

### Documentation
Click the docs badges above for more details and examples.
